Bug 630272 - (ghc-tagsoup) Review Request: ghc-tagsoup - Parsing HTML/XML documents library
Review Request: ghc-tagsoup - Parsing HTML/XML documents library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-authenticate 648250
  Show dependency treegraph
 
Reported: 2010-09-04 10:43 EDT by Ben Boeckel
Modified: 2012-06-21 08:36 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-tagsoup-0.11.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-07 16:28:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 10:43:58 EDT
Spec URL: http://benboeckel.net/packaging/ghc-tagsoup/ghc-tagsoup.spec
SRPM URL: http://benboeckel.net/packaging/ghc-tagsoup/ghc-tagsoup-0.10.1-1.fc14.src.rpm
Description:
Description:
TagSoup is a library for parsing HTML/XML. It supports the
HTML 5 specification, and can be used to parse either
well-formed XML, or unstructured and malformed HTML from the
web. The library also provides useful functions to extract
information from an HTML document, making it ideal for
screen-scraping.

Users should start from the "Text.HTML.TagSoup" module.

% lintmock fedora-14-x86_64-bb
ghc-tagsoup.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-tagsoup.src: W: strange-permission ghc-tagsoup.spec 0640L
ghc-tagsoup.src: W: strange-permission tagsoup-0.10.1.tar.gz 0640L
ghc-tagsoup.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-tagsoup-prof.x86_64: E: devel-dependency ghc-tagsoup-devel
ghc-tagsoup-prof.x86_64: W: no-documentation
ghc-tagsoup-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/tagsoup-0.10.1/libHStagsoup-0.10.1_p.a
4 packages and 0 specfiles checked; 1 errors, 6 warnings.
Comment 1 Narasimhan 2010-09-17 09:55:46 EDT
There is an updated package version available v0.11
Comment 2 Narasimhan 2010-09-17 12:36:02 EDT
I see a line  # tagsoup.htm. Can this comment be removed?

Must items 
+ OK , ! - Not sure , NA - Not Applicable

[+]MUST: rpmlint must be run on every package. The output should be posted in
the review.
ghc-tagsoup.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-tagsoup.src: W: strange-permission tagsoup-0.10.1.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-tagsoup.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-tagsoup.x86_64: W: executable-stack /usr/lib64/ghc-6.12.1/tagsoup-0.10.1/libHStagsoup-0.10.1-ghc6.12.1.so

ghc-tagsoup-prof.x86_64: E: devel-dependency ghc-tagsoup-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-tagsoup-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-tagsoup-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.1/tagsoup-0.10.1/libHStagsoup-0.10.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 0 specfiles checked; 1 errors, 6 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines .
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines .
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

    [~ ghc-tagsoup]$ md5sum tagsoup-0.10.1.tar.gz 
    a0a15e88465282de5263ea3d19b68290  tagsoup-0.10.1.tar.gz
    [~ ghc-tagsoup-0.10.1-1.fc14.src]$ md5sum tagsoup-0.10.1.tar.gz 
    a0a15e88465282de5263ea3d19b68290  tagsoup-0.10.1.tar.gz


[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff says %{?ghc_binlib_package} instead of %{?ghc_lib_package}. From Jens' comment in https://bugzilla.redhat.com/show_bug.cgi?format=multiple&id=558058, I guess this is OK.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Ben Boeckel 2010-09-21 22:24:18 EDT
> I see a line  # tagsoup.htm. Can this comment be removed?
This is actually a reminder that I should ship the file. Updated.

Also, I had forgotten to mark the fedora-review flag. Would you mind flipping it (to keep things kosher so I'm not twiddling the flag for my own review)?

New Package CVS Request
=======================
Package Name: ghc-tagsoup
Short Description: Parsing HTML/XML documents library
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 4 Ben Boeckel 2010-09-21 22:30:23 EDT
Oops, my fault. Lakshmi isn't sponsored yet. Flipping flags back to the state they should be in.

Spec URL: http://benboeckel.net/packaging/ghc-tagsoup/ghc-tagsoup.spec
SRPM URL: http://benboeckel.net/packaging/ghc-tagsoup/ghc-tagsoup-0.11-2.fc14.src.rpm
Comment 5 Narasimhan 2010-10-03 03:59:24 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-tagsoup-0.11-2.fc14.src.rpm ghc-tagsoup-0.11-2.fc14.x86_64.rpm ghc-tagsoup-devel-0.11-2.fc14.x86_64.rpm ghc-tagsoup-prof-0.11-2.fc14.x86_64.rpm
ghc-tagsoup.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-tagsoup.src: W: strange-permission ghc-tagsoup.spec 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-tagsoup.src: W: strange-permission tagsoup-0.11.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-tagsoup.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-tagsoup-prof.x86_64: E: devel-dependency ghc-tagsoup-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-tagsoup-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-tagsoup-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/tagsoup-0.11/libHStagsoup-0.11_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 0 specfiles checked; 1 errors, 6 warnings

Comments : Usage documentation is included as tagsoup.htm

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum ghc-tagsoup-0.11-2.fc14.src/tagsoup-0.11.tar.gz 
275999b35f81b1abc4292d8299eec76c  ghc-tagsoup-0.11-2.fc14.src/tagsoup-0.11.tar.gz

 md5sum ~/Downloads/tagsoup-0.11.tar.gz 
275999b35f81b1abc4292d8299eec76c  ~/Downloads/tagsoup-0.11.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
	Built on i686, x86_64
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.

[+]MUST: The package must contain code, or permissable content.

[+]MUST: Large documentation files must go in a -doc subpackage.
developer documentation goes into the devel package

[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Yes, installed the packages. No errors
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED
Comment 6 Ben Boeckel 2010-10-03 12:40:39 EDT
Thanks.

New Package CVS Request
=======================
Package Name: ghc-tagsoup
Short Description: Parsing HTML/XML documents library
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 7 Kevin Fenzi 2010-10-03 16:30:30 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2010-10-09 00:40:35 EDT
ghc-hslogger-1.1.0-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-hslogger-1.1.0-3.fc13
Comment 9 Narasimhan 2010-10-09 00:43:04 EDT
I gave the wrong bug number while submitting the update to bodhi. Sorry.
Comment 10 Narasimhan 2010-10-09 03:25:07 EDT
Reverting the state back to assigned.
Comment 11 Fedora Update System 2010-10-30 13:57:42 EDT
ghc-tagsoup-0.11.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-tagsoup-0.11.1-1.fc13
Comment 12 Fedora Update System 2010-10-30 13:57:47 EDT
ghc-tagsoup-0.11.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-tagsoup-0.11.1-1.fc14
Comment 13 Fedora Update System 2010-10-30 19:37:35 EDT
ghc-tagsoup-0.11.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-tagsoup'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-tagsoup-0.11.1-1.fc14
Comment 14 Fedora Update System 2010-11-07 16:28:51 EST
ghc-tagsoup-0.11.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Jens Petersen 2012-06-20 05:30:18 EDT
Package Change Request
======================
Package Name: ghc-base64-bytestring
New Branches: el6
Owners: mathstuf petersen
InitialCC: haskell-sig
Comment 16 Jon Ciesla 2012-06-20 08:00:35 EDT
Git done (by process-git-requests).
Comment 17 Jens Petersen 2012-06-20 20:42:04 EDT
Ooops!  Luckily I wanted base64-bytestring too...


Package Change Request
======================
Package Name: ghc-tagsoup
New Branches: el6
Owners: mathstuf petersen
InitialCC: haskell-sig
Comment 18 Jon Ciesla 2012-06-21 08:36:41 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.